@echo off

::   This batch file can be passed two arguments.  The first argument is
::   mandatory. The 1st argument must be a url to a single
::   JSP page or a url to a directory containing JSP pages.
::   The second argument is optional. The 2nd argument is "-s".
::   If the first argument denotes a directory then the second argument
::   tells the JSP Compiler to compile all JSP pages in all
::   sub-directories of that directory.
::   If no arguments are passed to this batch file then a usage information
::   is displayed.
::
::   Here are some examples of invoking this batch file:
::       jspc /sales/index.jsp  - compile a single JSP page 
::       jspc /sales/           - compile all of the JSPs in a directory
::       jspc /sales/ -s        - compile all of the JSPs in a directory and its sub-directories
::
::   For all the examples above, the folder named 'sales' would need to be inside the root directory.
::
::       jspc / -s              - compile all of the JSPs in the root directory and all of its sub-directories.


::   The following need to be set to match your environment.
::       JDK_HOME - path to JDK home directory
::       SE_HOME  - path to ServletExec installation directory
::       WORK_DIR - path to directory where generated .java and .class files will be placed
::       ROOT_DIR - path to root document directory where JSP pages are located
::       JSP_EXT  - the extension used with JSP pages (normally .jsp)

set JDK_HOME=C:\j2sdk1.4.2_01
set SE_HOME=D:\Program Files\New Atlanta\ServletExec ISAPI
set WORK_DIR=.\work
set ROOT_DIR=.\docs
set JSP_EXT=.jsp
set JARS=%SE_HOME%\lib\ServletExec50.jar;%SE_HOME%\lib\servlet.jar;%SE_HOME%\lib\jndi.jar;%SE_HOME%\lib\jaxp-api.jar;%SE_HOME%\lib\xercesImpl.jar;%SE_HOME%\lib\sax.jar;%SE_HOME%\lib\dom.jar;%JDK_HOME%\lib\tools.jar;.\JSPCompiler.jar

@echo on

%JDK_HOME%\bin\java -classpath "%JARS%" com.newatlanta.jsp.compiler.JSPCompiler -w %WORK_DIR% -r %ROOT_DIR% -e %JSP_EXT% -u %1 %2

pause

@echo off

:: clear local variables
set JDK_HOME=
set SE_HOME=
set WORK_DIR=
set ROOT_DIR=
set JSP_EXT=
set JARS=
